apcalc-common_2.12.5.0-1_all.deb


Advertisement

Description

apcalc-common - Arbitrary precision calculator (common files)

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: apcalc-common
Package version: 2.12.5.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 3.45 KB
Download size: 548.94 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

Replaces

  • apcalc

    Download

    Source package: apcalc

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install apcalc-common deb package:
      # sudo apt-get install apcalc-common

    Changelog

    2014-10-14 - Martin Buck <mbuck@debian.org> apcalc (2.12.5.0-1) unstable; urgency=medium * New upstream release. Closes: #602115 * Use /usr/share/dpkg/buildflags.mk, handle CFLAGS/LDFLAGS * Put copy of copyright file into debian/copright (as recommended but not required by policy) instead of generating the file to be installed at build time * Upgraded to Standards-Version 3.9.6.0 (no changes required) * Fixed a few gcc warnings

    2012-05-31 - Martin Buck <mbuck@debian.org> apcalc (2.12.4.4-3) unstable; urgency=low * Split large autogenerated quilt patch into separate ones * Implemented build-arch/build-indep targets * Upgraded to Standards-Version 3.9.3.0 - Implemented "nocheck" build option - No longer build with -D_REENTRANT

    2011-08-17 - Martin Buck <mbuck@debian.org> apcalc (2.12.4.4-2) unstable; urgency=low * Fixed debhelper Build-Depends * Fixed spelling error in apcalc-common description * Added Depends: ${misc:Depends} to make lintian happy

    2011-08-12 - Martin Buck <mbuck@debian.org> apcalc (2.12.4.4-1) unstable; urgency=low * New upstream release * Switched to debhelper compatibility level 8 * Build-depend just on libreadline-dev. Closes: #553725 * Fixed a few typos in the manpage. Thanks to Francesco Poli for spotting them. Closes: #602081 * Fixed FTBFS on kFreeBSD/Hurd. Closes: #490552 * Switched to dpkg-source 3.0 (quilt) format

    2008-06-16 - Martin Buck <mbuck@debian.org> apcalc (2.12.3.3-1) unstable; urgency=low * New upstream release. Closes: #440759 (see "help unexpected") * Upstream switched from releasing .gz to .bz2: - Updated debian/watch to search for .bz2 - Added get-orig-source target to debian/rules to download and convert source to .gz - Added note to copyright file as required by Developer's Reference * Upgraded to Standards-Version 3.8.0.0 - Use menu section Applications/Science/Mathematics - Moved homepage URL from description to its field in debian/control * Updated menu file to also depend on apcalc-common to make lintian happy * Added lintian-overrides for non-bugs * Don't link against libhistory and libncurses - libhistory isn't used at all and libncurses is only required when linking statically, which we don't * Removed useless dh_makeshlibs call * Added groff-base to Build-Depends

    2007-08-17 - Martin Buck <mbuck@debian.org> apcalc (2.12.1.13-3) unstable; urgency=low * Fixed garbage output/dangling pointer when executing config("mode","XX"). Closes: #430866 * Applied typo fixes in manpage received from A. Costa. Closes: #438448

    2007-03-14 - Martin Buck <mbuck@debian.org> apcalc (2.12.1.13-2) unstable; urgency=low * Temporary workaround for FTBFS bug on big endian machines, restoring the code from 2.12.1.5 that seemed to work fine for us. To be fixed properly in next upstream release. Closes: #414893 * Added missing bsdmainutils (we require /usr/bin/col) to Build-Depends. Closes: #415046 * Added debian/watch * Fixed output of "help usage" to show the formatted instead of the unformatted man page * Fixed "make clobber" to remove all files built by "make all"

    2007-03-14 - Martin Buck <mbuck@debian.org> apcalc (2.12.1.13-1) unstable; urgency=low * New upstream release

    2006-10-03 - Martin Buck <mbuck@debian.org> apcalc (2.12.1.5-1) unstable; urgency=low * New upstream release * Use ${source:Version} instead of ${Source-Version} for apcalc-common dependency to make it binNMU-safe * Give gcc 4.1 a try on all archs * Switched to debhelper compatibility level 5 * Upgraded to Standards-Version 3.7.2.0 (no changes required)

    2006-01-07 - Martin Buck <mbuck@debian.org> apcalc (2.11.11-1) unstable; urgency=low * New upstream release * As usual, the latest gcc (tested up to 4:4.0.2-2) is broken on some architectures, this time on arm and m68k. Build-depend on and use gcc-3.3 on these.

    Advertisement
    Advertisement